* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Kumbh Sans', sans-serif;
}

@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;500;700&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Ubuntu';
	max-width: 1200px;
	margin: 0 auto;
}

img {
	max-width: 100%;
}

header {
	display: flex;
	align-items: center;
	padding: 30px;
	justify-content: center;
}

.container-title {
	padding: 30px
	background-color: #eee;
	margin-bottom: 50px;
	color: #222;
}

main {
	display: flex;
	gap: 30px;
	margin-bottom: 80px;
}

.container-img {
	background-color: #f7f7f9;
	flex: 1;
}

.container-info-product {
	flex: 1;
	display: flex;
	flex-direction: column;
}

.container-price {
	padding-bottom: 5px;
	border-bottom: 1px solid #e4e4e4;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.container-price span {
	font-size: 24px;
	font-weight: 300;
}

.container-details-product {
	padding: 30px 0;
}

.form-group {
	display: flex;
	align-items: center;
	gap: 20px;
	margin-bottom: 15px;
}

.form-group label {
	width: 100px;
	color: #222;
	font-weight: 700;
}

.form-group select {
	width: 300px;
	border: none;
	padding: 12px 15px;
	background-color: #f7f7f7;
	outline: none;
	color: #666;
}

.btn-clean {
	border: none;
	background: none;
	color: #666;
	margin-left: 120px;
	cursor: pointer;
}

.btn-clean:hover {
	color: #1bbeb4;
}

.container-add-cart {
	display: flex;
	gap: 20px;
	padding-bottom: 30px;
	border-bottom: 1px solid #e4e4e4;
}

.container-quantity {
	position: relative;
}

.input-quantity {
	background-color: #f7f7f7;
	border: none;
	padding: 10px;
	width: 60px;
	height: 100%;
	color: #666;
	font-weight: 500;
	line-height: 0;
}

.input-quantity:focus {
	outline: none;
}

.input-quantity::-webkit-inner-spin-button,
.input-quantity::-webkit-outer-spin-button {
	-webkit-appearance: none;
	appearance: none;
}

.btn-increment-decrement {
	display: flex;
	flex-direction: column;
	position: absolute;
	top: 7px;
	right: 7px;
}

.btn-increment-decrement i {
	font-size: 11px;
	color: #666;
	cursor: pointer;
}

.fa-chevron-down:hover {
	color: #1bbeb4;
}

.fa-chevron-up:hover {
	color: #1bbeb4;
}

.btn-add-to-cart {
	border: none;
	background-color: #252525;
	padding: 10px;
	color: #f7f7f7;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 5px;
	font-weight: 700;
	cursor: pointer;
}

.btn-add-to-cart:hover {
	color: #1bbeb4;
}

.hidden {
	display: none;
}

.container-description,
.container-additional-information,
.container-reviews {
	display: flex;
	flex-direction: column;
	border-bottom: 1px solid #e4e4e4;
	padding: 10px 0;
}

.title-description,
.title-additional-information,
.title-reviews {
	display: flex;
	align-items: center;
	justify-content: space-between;
	cursor: pointer;
}

.title-description h4,
.title-additional-information h4,
.title-reviews h4 {
	font-weight: 300;
	color: #666;
	font-size: 14px;
}

.text-description,
.text-additional-information,
.text-reviews {
	font-size: 13px;
	color: #252525;
	line-height: 22px;
	margin-top: 25px;
}

.container-social {
	display: flex;
	justify-content: space-between;
	padding: 10px 0;
	align-items: center;
	border-bottom: 1px solid #e4e4e4;
}

.container-social span {
	font-weight: 300;
	color: #252525;
}

.container-buttons-social {
	display: flex;
	gap: 15px;
	align-items: center;
}

.container-buttons-social a:link,
.container-buttons-social a:visited {
	color: #666;
	font-size: 15px;
}

.container-buttons-social a:hover {
	color: #1bbeb4;
}

.container-related-products h2 {
	text-align: center;
	margin-bottom: 30px;
}

.card-list-products {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 25px;
}

.card {
	cursor: pointer;
}

.card-img {
	background: transparent;
	margin-bottom: 15px;
}

.card-img img {
	height: 400px;
	object-fit: cover;
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}

.info-card {
	display: flex;
	justify-content: space-between;
}

.text-product {
	color: #252525;
	font-weight: 300;
	line-height: 1.4;
}

.text-product h3{
    color: inherit;
    font-weight: inherit;
    font-size: 15px;
}

.text-product h3:hover{
    color: #1bbeb4;
}

.text-product p{
    color: #666;
    font-size: 13px;
}

.text-product p:hover{
    color: #1bbeb4;
}

.img_slider
{
  width: 100%;
  height: 500px;
  overflow: hidden;
}

.my_slide img
{
  width: 100%;
  height: 500px;
}

figure
{
  position: relative;
  left: 0;
  width: 400%;
  animation: 25s my_slide infinite;
}

.my_slide
{
  position: relative;
  float: left;
  width: 25%;
}

@keyframes my_slide
{
  0%{left: 0;}
  12.5%{left: 0;}
  25%{left: -100%;}
  37.5%{left: -100%;}
  50%{left: -200%;}
  62.5%{left: -200%;}
  75%{left: -300%;}
  87.5%{left: -300%;}
  100%{left: 0;}
}

.navbar {
  background: #ffffff;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar__container {
  display: flex;
  justify-content: space-between;
  height: 80px;
  z-index: 1;
  width: 100%;
  max-width: 1300px;
  margin-right: auto;
  margin-left: auto;
  padding-right: 50px;
  padding-left: 50px;
}

.fa-gem {
  margin-right: 0.5rem;
}

.navbar__menu {
  display: flex;
  align-items: center;
  list-style: none;
  text-align: center;
}

.navbar__item {
  height: 40px;
}

.navbar__links {
  color: #0b1b34;
  display: flex;-webkit-box-align: center;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  padding: 0 1rem;
  height: 100%;
}

.navbar__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
  width: 100%;
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 10px 20px;
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  border-radius: 4px;
  background: #fe7b24;
  color: #fff;
}

.button:hover {
  background: #4837ff;
  transition: all 0.3s ease;
}

.navbar__links:hover {
  color: #f77062;
  transition: all 0.3s ease;
}

@media screen and (max-width: 960px) {

  .img_slider{
    width: 100%;
    height: 250px;
    overflow: hidden;
  }

  .my_slide img{
    width: 100%;
    height: 250px;
  }
  
  .navbar__container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0;
  }

  .navbar__menu {
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 1;
    transition: all 0.5s ease;
    height: 50vh;
    z-index: -1;
  }

  .navbar__menu.active {
    background: #ffffff;
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 50vh;
    font-size: 1.6rem;
  }

  .navbar__logo img{
    padding-left: 25px;
  }

  .navbar__toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: #fe7b24;
  }

  .navbar__item {
    width: 100%;
  }

  .navbar__links {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
  }

  .navbar__btn {
    padding-bottom: 2rem;
  }

  .button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 80px;
    margin: 0;
  }

  #mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
  }

  .navbar__toggle .bar {
    display: block;
    cursor: pointer;
  }

  #mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
}

/* Main Content CSS */
.main {
  background-color: #ffffff;
}

.main__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-self: center;
  margin: 0 auto;
  height: 90vh;
  background-color: #ffffff;
  z-index: 1;
  width: 100%;
  max-width: 1300px;
  padding-right: 50px;
  padding-left: 50px;
}

.main__content {
  color: #fff;
  width: 100%;
}

.main__content h1 {
  font-size: 4rem;
  background-color: #ff8177;
  background-image: linear-gradient(to top, #0b1b34 0%, #0b1b34 100%);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.main__content h2 {
  font-size: 4rem;
  margin-top: 10px;
  background-color: #ff8177;
  background-image: linear-gradient(-20deg, #fe7b24 0%, #fe7b24 100%);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.main__content p {
  margin-top: 1rem;
  font-size: 2rem;
  font-weight: 700;
}

.main__btn {
  font-size: 1rem;
  background-image: linear-gradient(to top, #fe7b24 0%, #ff8a3d 100%);
  padding: 14px 32px;
  border: none;
  border-radius: 4px;
  color: #fff;
  margin-top: 2rem;
  cursor: pointer;
  position: relative;
  transition: all 0.35s;
  outline: none;
}

.main__btn a {
  position: relative;
  z-index: 2;
  color: #fff;
  text-decoration: none;
}

.main__btn:after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #0b1b34;
  transition: all 0.35s;
  border-radius: 4px;
}

.main__btn:hover {
  color: #fff;
}

.main__btn:hover:after {
  width: 100%;
}

.main__img--container {
  text-align: center;
}

#main__img {
  height: 80%;
  width: 80%;
}

/* Mobile Responsive */
@media screen and (max-width: 768px) {
  .main__container {
    display: grid;
    grid-template-columns: auto;
    align-items: center;
    justify-self: center;
    width: 100%;
    margin: 0 auto;
    height: 90vh;
  }

  .main__content {
    text-align: center;
    margin-bottom: 4rem;
  }

  .main__content h1 {
    font-size: 2.5rem;
    margin-top: 2rem;
  }

  .main__content h2 {
    font-size: 3rem;
  }

  .main__content p {
    margin-top: 1rem;
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 480px) {
  .main__content h1 {
    font-size: 2rem;
    margin-top: 3rem;
  }

  .main__content h2 {
    font-size: 2rem;
  }

  .main__content p {
    margin-top: 2rem;
    font-size: 1.5rem;
  }

  .main__btn {
    padding: 12px 36px;
    margin: 2.5rem 0;
  }
}

.hero{
    text-align:center;
    padding:120px 20px;
    background:white;
}

.hero h1{
    color:#0b1b34;
    font-size:48px;
    margin-bottom:20px;
}

.hero p{
    max-width:1000px;
    margin:auto;
    font-size:20px;
    color:#555;
}

.hero button{
    margin-top:30px;
    padding:15px 30px;
    border:none;
    background:#f97316;
    color:white;
    font-size:18px;
    cursor:pointer;
    border-radius:8px;
}

.categorias{
  text-align:center;  
  padding:80px;
}

.categorias h2{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom:60px;
}


.cards{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
}

.card{
    background:white;
    padding:50px;
    text-align:center;
    border-radius:10px;
    box-shadow:0 3px 10px rgba(0,0,0,.1);
}

/* Services Section */
.services {
  background: #ffffff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.services h1 {
  background-color: #ff8177;
  background-image: linear-gradient(
    to right,
    #ff8177 0%,
    #ff867a 0%,
    #ff8c7f 21%,
    #f99185 52%,
    #cf556c 78%,
    #b12a5b 100%
  );
  background-size: 100%;
  background-clip: text;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
  margin-bottom: 5rem;
  font-size: 2.5rem;
}

.services__container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.services__card {
  margin: 1rem;
  height: 525px;
  width: 400px;
  border-radius: 4px;
  background-image: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 0%,
      rgba(254, 123, 36, 0.7) 100%
    ),
    url('/images/pic3.jpg');
  background-size: cover;
  position: relative;
  color: #fff;
}

.services__card:before {
  opacity: 0.2;
}

.services__card:nth-child(2) {
  background-image: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 0%,
      rgba(245, 123, 36, 0.7) 100%
    ),
    url('/images/pic4.jpg');
}

.services__card h2 {
  position: absolute;
  top: 350px;
  left: 30px;
}

.services__card p {
  position: absolute;
  top: 400px;
  left: 30px;
}

.services__card button {
  color: #fff;
  padding: 10px 20px;
  border: none;
  outline: none;
  border-radius: 4px;
  background: #f77062;
  position: absolute;
  top: 440px;
  left: 30px;
  font-size: 1rem;
}

.services__card button:hover {
  cursor: pointer;
}

.services__card:hover {
  transform: scale(1.075);
  transition: 0.2s ease-in;
  cursor: pointer;
}

@media screen and (max-width: 960px) {
  .services {
    height: 1300px;
  }

  .services h1 {
    font-size: 2rem;
    margin-top: 12rem;
  }
}

@media screen and (max-width: 480px) {
  .services {
    height: 1300px;
  }

  .services h1 {
    font-size: 1.2rem;
  }

  .services__card {
    width: 300px;
  }
}

/* Footer CSS */
.footer__container {
  background-color: #ffffff;
  padding: 5rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer__logo img{
  height: 50px;
  width: auto;
}

.footer__links {
  width: 100%;
  max-width: 1000px;
  display: flex;
  justify-content: center;
}

.footer__link--wrapper {
  display: flex;
}

.footer__link--items {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: 16px;
  text-align: left;
  width: 160px;
  box-sizing: border-box;
}

.footer__link--items h2 {
  margin-bottom: 16px;
}

.footer__link--items > h2 {
  color: #fe7b24;
}

.footer__link--items a {
  color: #0b1b34;
  text-decoration: none;
  margin-bottom: 0.5rem;
}

.footer__link--items a:hover {
  color: #e9e9e9;
  transition: 0.3s ease-out;
}

/* Social Icons */
.social__icon--link {
  color: #0b1b34;
  font-size: 24px;
}

.social__media {
  max-width: 1000px;
  width: 100%;
}

.social__media--wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  max-width: 1000px;
  margin: 40px auto 0 auto;
}

.social__icons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 240px;
}

.social__logo {
  color: #0b1b34;
  justify-self: start;
  margin-left: 20px;
  cursor: pointer;
  text-decoration: none;
  font-size: 2rem;
  display: flex;
  align-items: center;
  margin-bottom: 16px;
}

.website__rights {
  color: #0b1b34;
}

@media screen and (max-width: 820px) {
  .footer__links {
    padding-top: 2rem;
  }

  #footer__logo {
    margin-bottom: 2rem;
  }

  .website__rights {
    margin-bottom: 2rem;
  }

  .footer__link--wrapper {
    flex-direction: column;
  }

  .social__media--wrap {
    flex-direction: column;
  }
}

@media screen and (max-width: 480px) {
  .footer__link--items {
    margin: 0;
    padding: 10px;
    width: 100%;
  }
}

.mapa__container{
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
h1_mapa{
  color: #0b1b34;
  margin-bottom: 20px;
}
iframe{
  width: 80%;
  height: 500px;
}

.container-productos{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.productos{
    border-radius: 10px;
}

.productos:hover{
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.20);
}

.productos img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
    transition: all .5s;
}

.productos figure{
    overflow: hidden;
}

.productos:hover img{
    transform: scale(1.2);
}

.info-product{
    padding: 15px 30px;
    line-height: 2;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.price{
    font-size: 18px;
    font-weight: 900;
}

.info-product button{
    border: none;
    background: none;
    background-color: #000;
    color: #fff;
    padding: 15px 10px;
    cursor: pointer;
}